#ifndef GUIBUTTONGROUP_H
#define GUIBUTTONGROUP_H

#include "guiButton.h"
#include "guiUtils.h"

class guiButtonGroup
{
    public:
        guiButtonGroup();
        virtual ~guiButtonGroup();

        void setup( string name, int x, int y, int w, int h);
        void addButton(string name);
        int update( int x, int y);
        void draw();

        int getOn(){ return currentOn; }
        int setOn( int id ){ currentOn = id; }

    protected:

    vector<guiButton> buttons;
    vector<string> names;

    string groupName;
    int x,y,w,h;
    int currentOn;

    private:
};

#endif // GUIBUTTONGROUP_H
